﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
    
namespace MyCompany.StudName
{
    public partial class Form4 : Form
    {
        // Поля для видимости в методах класса
        MatrixPanel matrixPanel;
        DisplayPanel displayPanel;
    
        // Конструктор класса
        public Form4()
        {
            InitializeComponent();
    
            TableLayoutPanel panel = new TableLayoutPanel();
            panel.Parent = this;
            panel.Dock = DockStyle.Fill;
            panel.ColumnCount = 2;
    
            matrixPanel = new MatrixPanel();
            matrixPanel.Parent = panel;
            matrixPanel.Anchor = AnchorStyles.Left | AnchorStyles.Right;
            matrixPanel.Changed += new EventHandler(matrixPanel_Changed);
    
            displayPanel = new DisplayPanel();
            displayPanel.Parent = panel;
            displayPanel.Dock = DockStyle.Fill;
            displayPanel.BackColor = Color.White;
            displayPanel.ForeColor = Color.Black;
            displayPanel.Text = "Некоторый текст";
            displayPanel.Font = new Font(FontFamily.GenericSerif, 24);
    
            this.Width = 3 * matrixPanel.Width;
            this.Height = 3 * matrixPanel.Height / 2;
        }
    
        void matrixPanel_Changed(object sender, EventArgs e)
        {
            displayPanel.Matrix = matrixPanel.Matrix;
        }
    }
}